Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.core.format
Class AutoFormatter

    java.lang.Object
      org.eclipse.birt.core.format.AutoFormatter

All Implemented Interfaces:
  IFormatter

    public class AutoFormatter

extends java.lang.Object
implements IFormatter

Nested Class Summary

Nested classes/interfaces inherited from interface org.eclipse.birt.core.format.IFormatter
`IFormatter.DefaultFormatter`

Constructor Summary
`AutoFormatter(java.lang.String pattern, com.ibm.icu.util.ULocale locale, com.ibm.icu.util.TimeZone timeZone)`
`AutoFormatter(java.lang.String pattern, com.ibm.icu.util.ULocale locale, com.ibm.icu.util.TimeZone timeZone, DateFormatter defaultDateFormatter)`

Method Summary
`java.lang.String` | `formatValue(java.lang.Object value)` format the value object into a string.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AutoFormatter

    public AutoFormatter(java.lang.String pattern,
                         com.ibm.icu.util.ULocale locale,
                         com.ibm.icu.util.TimeZone timeZone)

### AutoFormatter

    public AutoFormatter(java.lang.String pattern,
                         com.ibm.icu.util.ULocale locale,
                         com.ibm.icu.util.TimeZone timeZone,
                         DateFormatter defaultDateFormatter)

Method Detail

### formatValue

    public java.lang.String formatValue(java.lang.Object value)
                                 throws BirtException

  Description copied from interface: `IFormatter`
  format the value object into a string.

  Specified by:
    `formatValue` in interface `IFormatter`
  Returns:
  Throws:
    `BirtException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.